Skip to content

Authorize a card intent

POST
/payments/card/{id}/authorize
id
required
string
Example
pi_card_9Z3K01ARZ3NDEKTSV4RRFFQ69G5FAV

Payment intent ID

object
create_token

Set to true to request a network token on the provided card data

boolean
key_id
required
string
layout
required
Array<object>
object
field
required
string
len
required
integer format: int32
payload
required

Encrypted card details.

string
Example
eyJhbGciOiJSU0Et...ENCRYPTED...

Authorized. With capture_method: automatic, the intent proceeds directly to committed; with manual it rests at authorized awaiting commit.

object
amount
required

A monetary amount in the currency’s minor units (e.g. cents for USD).

integer format: int64
Example
1000
amount_captured
required

A monetary amount in the currency’s minor units (e.g. cents for USD).

integer format: int64
Example
1000
amount_refunded
required

A monetary amount in the currency’s minor units (e.g. cents for USD).

integer format: int64
Example
1000
cancellation_reason
One of:
null
capture_method
required
string
Allowed values: automatic manual
created
required
integer format: int64
currency
required

Currently supported currencies by Paygasus Pay

string
Allowed values: USD
Example
USD
description
string | null
failure_reason
One of:
null
id
required
string
Example
pi_card_9Z3K01ARZ3NDEKTSV4RRFFQ69G5FAV
livemode
required
boolean
metadata
required
object
key
additional properties
string
payment_method
One of:
null
processor_ref
One of:
null
statement_descriptor
string | null
status
required
string
Allowed values: created authorized committed failed canceled
status_at

If is in state ‘Created’, will be empty. status_at indicates state change occurences. Created is the initial state

integer | null format: int64
updated
required
integer format: int64

No such payment intent

object
error
required
object
code
required
string
message
required
string
param
string | null
type
required
string

Intent is not in created

object
error
required
object
code
required
string
message
required
string
param
string | null
type
required
string

Processor unreachable; safe to retry

object
error
required
object
code
required
string
message
required
string
param
string | null
type
required
string